/********************************************************************/
/*	this program was written using the Borland C/C++ v3.1 IDE.		*/
/*	it assumes tab-stops every FOUR columns and will look strange	*/
/*	if displayed with different tab settings, so adjust to suit		*/
/********************************************************************/

/*	header files for separately compiled 3rd-party modules	*/
#include "world.h"			/*	our own module				*/
#include "xsdk.h"			/*	module supplied by DD		*/

/****************************************************/
/*	execution starts here (you knew that, right?)	*/
/****************************************************/
void main(void) {
	/*	retrieve NODE directory from the environment	*/
	/*	so we know where to look for the drop-file		*/
	char *p = getenv("SBBSNODE");
	if (!p) {
		printf("Can't find \"SBBSNODE\" environment variable\n");
		exit(1);
	}
	strcpy(node_dir, p);

	/*	make sure node_dir ends in '\'		*/
	/*	maybe not reqd, but safe > sorry	*/
	if (node_dir[strlen(node_dir) - 1] != '\\')
		strcat(node_dir,"\\");

	/*	now we can read XTRN.DAT (need to do this	*/
	/*	so XSDK knows if user can handle ^A->ANSI)	*/
	initdata();

	/*	call a function in our separately compiled module	*/
	say_howdy();

	/*	give credit where credit is due	*/
	bprintf("\1n\1gThis program used \1h\1mXSDK v%s "
			"\1n\1gby \1h\1mDigital Dynamics "
			"\1n\1gon \1h\1y%s\1n\n\n", xsdk_ver, todays_date);
	mswait(1000);
}